import { createAction, props } from '@ngrx/store';
import {
  BuddyRequest,
  BuddyResponse,
  BuddyDetailData
} from '@ucap-webmessenger/protocol-sync';

export const buddy2 = createAction(
  '[Messenger::Sync] Buddy2',
  props<BuddyRequest>()
);

export const buddy2Data = createAction(
  '[Messenger::Sync] Buddy2 Data',
  props<{ data: BuddyDetailData }>()
);

export const buddy2Success = createAction(
  '[Messenger::Sync] Buddy2 Success',
  props<{ res: BuddyResponse }>()
);

export const buddy2Failure = createAction(
  '[Messenger::Sync] Buddy2 Failure',
  props<{ error: any }>()
);
